Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PollableC.i File Reference

## Defines
#define | _CORBA_POLLABLE___CI_
#define | _CORBA_DIIPOLLABLE___CI_
#define | _CORBA_POLLABLESET___CI_
## Functions
ACE_INLINE CORBA_Pollable_ptr | tao_CORBA_Pollable_duplicate ( CORBA_Pollable_ptr p )
ACE_INLINE void | tao_CORBA_Pollable_release ( CORBA_Pollable_ptr p )
ACE_INLINE CORBA_Pollable_ptr | tao_CORBA_Pollable_nil ( void )
ACE_INLINE CORBA_Pollable_ptr | tao_CORBA_Pollable_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_CORBA_Pollable_upcast ( void *src )
ACE_INLINE CORBA_DIIPollable_ptr | tao_CORBA_DIIPollable_duplicate ( CORBA_DIIPollable_ptr p )
ACE_INLINE void | tao_CORBA_DIIPollable_release ( CORBA_DIIPollable_ptr p )
ACE_INLINE CORBA_DIIPollable_ptr | tao_CORBA_DIIPollable_nil ( void )
ACE_INLINE CORBA_DIIPollable_ptr | tao_CORBA_DIIPollable_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_CORBA_DIIPollable_upcast ( void *src )
ACE_INLINE CORBA_PollableSet_ptr | tao_CORBA_PollableSet_duplicate ( CORBA_PollableSet_ptr p )
ACE_INLINE void | tao_CORBA_PollableSet_release ( CORBA_PollableSet_ptr p )
ACE_INLINE CORBA_PollableSet_ptr | tao_CORBA_PollableSet_nil ( void )
ACE_INLINE CORBA_PollableSet_ptr | tao_CORBA_PollableSet_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_CORBA_PollableSet_upcast ( void *src )

## Define Documentation

#define _CORBA_DIIPOLLABLE___CI_

#define _CORBA_POLLABLESET___CI_

#define _CORBA_POLLABLE___CI_

## Function Documentation

ACE_INLINE CORBA_DIIPollable_ptr tao_CORBA_DIIPollable_duplicate ( | CORBA_DIIPollable_ptr p )

ACE_INLINE CORBA_DIIPollable_ptr tao_CORBA_DIIPollable_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE CORBA_DIIPollable_ptr tao_CORBA_DIIPollable_nil ( | void )

ACE_INLINE void tao_CORBA_DIIPollable_release ( | CORBA_DIIPollable_ptr p )

ACE_INLINE CORBA::Object * tao_CORBA_DIIPollable_upcast ( | void * src )

ACE_INLINE CORBA_PollableSet_ptr tao_CORBA_PollableSet_duplicate ( | CORBA_PollableSet_ptr p )

ACE_INLINE CORBA_PollableSet_ptr tao_CORBA_PollableSet_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE CORBA_PollableSet_ptr tao_CORBA_PollableSet_nil ( | void )

ACE_INLINE void tao_CORBA_PollableSet_release ( | CORBA_PollableSet_ptr p )

ACE_INLINE CORBA::Object * tao_CORBA_PollableSet_upcast ( | void * src )

ACE_INLINE CORBA_Pollable_ptr tao_CORBA_Pollable_duplicate ( | CORBA_Pollable_ptr p )

ACE_INLINE CORBA_Pollable_ptr tao_CORBA_Pollable_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE CORBA_Pollable_ptr tao_CORBA_Pollable_nil ( | void )

ACE_INLINE void tao_CORBA_Pollable_release ( | CORBA_Pollable_ptr p )

ACE_INLINE CORBA::Object * tao_CORBA_Pollable_upcast ( | void * src )